libmodule-starter-smart-perl_0.0.5-1_all.deb


Advertisement

Description

libmodule-starter-smart-perl - Module::Starter plugin to add new modules into existing distributions

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libmodule-starter-smart-perl
Package version 0.0.5
Package release 1
Package architecture all
Package type deb
Installed size 60 B
Download size 9.79 KB
Official Mirror ftp.br.debian.org
Module::Starter::Smart is a simple helper plugin for Module::Starter. It
overrides the create_distro, create_modules, and create_t subroutines
defined in whichever engine plugin in use (say, Module::Starter::Simple).
When invoked with an existing distribution, the plugin may bypass the
create_basedir subroutine, pull in a list of existing modules as well as
test files, create new modules, and recreate the manifest file accordingly.

Alternatives

Package Version Architecture Repository
libmodule-starter-smart-perl_0.0.5-1_all.deb 0.0.5 all Debian Main
libmodule-starter-smart-perl - - -

Requires

Name Value
libmodule-starter-perl -
perl -

Download

Type URL
Binary Package libmodule-starter-smart-perl_0.0.5-1_all.deb
Source Package libmodule-starter-smart-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmodule-starter-smart-perl deb package:
    # sudo apt-get install libmodule-starter-smart-perl

Files

Path
/usr/share/doc/libmodule-starter-smart-perl/changelog.Debian.gz
/usr/share/doc/libmodule-starter-smart-perl/changelog.gz
/usr/share/doc/libmodule-starter-smart-perl/copyright
/usr/share/man/man3/Module::Starter::Smart.3pm.gz
/usr/share/perl5/Module/Starter/Smart.pm

Changelog

2014-02-23 - gregor herrmann <gregoa@debian.org>
libmodule-starter-smart-perl (0.0.5-1) unstable; urgency=low
* Team upload.
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Declare compliance with Debian Policy 3.9.5.
2012-04-01 - Alessandro Ghedini <ghedo@debian.org>
libmodule-starter-smart-perl (0.0.4-1) unstable; urgency=low
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Alessandro Ghedini ]
* New upstream release
* Email change: Alessandro Ghedini -> ghedo@debian.org
* Update debian/copyright format as in Debian Policy 3.9.3
* Bump debhelper compat level to 9
* Bump Standards-Version to 3.9.3
* Update upstream copyright years
* Update (build) depends on libmodule-starter-perl
2010-12-30 - Alessandro Ghedini <al3xbio@gmail.com>
libmodule-starter-smart-perl (0.0.2-1) unstable; urgency=low
* Initial Release. (Closes: #608410)

See Also

Package Description
libmodule-used-perl_1.3.0-1_all.deb library to detect modules loaded by Perl code without running it
libmodule-util-perl_1.09-1_all.deb Perl module to manipulate Perl module names
libmodule-versions-report-perl_1.06-1_all.deb Report versions of all modules in memory
libmodule-want-perl_0.6-1_all.deb module to check @INC only once for wanted modules
libmoe-dev_1.5.8-1_i386.deb library to handle multiple octets character encoding scheme (devel files)
libmoe1.5_1.5.8-1_i386.deb library to handle multiple octets character encoding scheme
libmojo-server-fastcgi-perl_0.41-1_all.deb Mojolicious FastCGI Server
libmojolicious-perl_5.54+dfsg-1_all.deb simple, yet powerful, Web Application Framework
libmojolicious-plugin-authentication-perl_1.26-1_all.deb module to make authentication a bit easier for Mojolicious
libmojolicious-plugin-authorization-perl_1.0302-1_all.deb module to make authorization a bit easier for Mojolicious
libmojolicious-plugin-basicauth-perl_0.08-1_all.deb basic HTTP auth helper for Mojolicious
libmojolicious-plugin-bcrypt-perl_0.14-1_all.deb module to bcrypt passwords for Mojolicious
libmojolicious-plugin-cgi-perl_0.12-1_all.deb Mojolicious plugin to run CGI scripts
libmojolicious-plugin-i18n-perl_1.30-1_all.deb internationalization plugin for Mojolicious 3.x and higher
libmojolicious-plugin-mailexception-perl_0.19-1_all.deb Mojolicious plugin to send crash information by email
Advertisement
Advertisement